# Activating Payment Methods

{% hint style="info" %}
To use China Payments Plugin, you need to have WeChat Pay, Alipay, or UnionPay activated in your Stripe account.
{% endhint %}

To check if your payment settings are activated correctly, log into the Stripe Dashboard and go the Settings > [Payment Methods](https://dashboard.stripe.com/settings/payment_methods). If your desired payment options are supported for your Stripe account, you will see them under the Eligible tab:

![Stripe Eligible Payment Methods](/files/BttikGVKIV3goNpweb2M)

If they aren't activated, click the "Activate" button to enable the payment method or apply for activation. WeChat Pay has an application that you need to complete, and Alipay has a separate process. Both activation flows are subject to change by Stripe.

{% hint style="info" %}
UnionPay card payments are typically available by default on most Stripe accounts since they are processed through Stripe's standard card payment infrastructure. No separate activation is usually required.
{% endhint %}

{% hint style="warning" %}
Be sure your business is in compliance with the [WeChat Payment System User Service Agreement](https://pay.weixin.qq.com/wechatpay_guide/proper_rule.shtml) or [Alipay Prohibited Businesses list](https://support.stripe.com/questions/alipay-prohibited-businesses) when answering the activation questions.
{% endhint %}

Once you receive a successful payment with each payment method, you will see the "Live" badge next to them under the Live tab:

![Stripe Live Payment Methods](https://s3.amazonaws.com/cdn.freshdesk.com/data/helpdesk/attachments/production/66000504272/original/b3muAUswdVQ1cj9tt3t2htBdI3hbRpZ0AA.png?1600266962)

Alipay must be activated separately and supports one-time payments out of the box.

To enable Alipay subscription payments, you must make the request to Stripe support directly based on [this article](https://support.stripe.com/questions/enabling-recurring-charges-for-alipay) in their documentation.

After a discussion with Stripe support as of Dec 2020, they stated they plan to add a button in the dashboard and/or automate the ability to activate Alipay subscriptions on your Stripe account in the future.

###


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chinapaymentsplugin.com/getting-started/activating-payment-methods.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
